Get Signal Channel Stats
GET /obp/v7.0.0/signal-channels/stats
OBPv6.0.0-getSignalStats Roles: CanGetSignalStats AI-AgentSignal-Channel
Returns statistics for all signal channels, including private-only channels.
Unlike the List Signal Channels endpoint, this does not filter out private-only channels. It provides a complete view of all active channels with message counts and TTL info.
Authentication is Required.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (6)
- channel_name
- channel_name
- channels
- channels
- message_count
- message_count
- total_channels
- total_channels
- total_messages
- total_messages
- ttl_seconds
- ttl_seconds
Example success response
{
"total_channels": 3,
"total_messages": 12,
"channels": [
{
"channel_name": "discovery",
"message_count": 5,
"ttl_seconds": 3500
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.